=== debian/changelog ===
ros-indigo-swri-profiler (0.2.0-0trusty) trusty; urgency=high

  * Update maintainers
  * Make master build on both Indigo and Kinetic
  * Install Python scripts & HTML files
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 18 Apr 2019 05:00:00 -0000

ros-indigo-swri-profiler (0.1.0-0trusty) trusty; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 14 Dec 2017 06:00:00 -0000

ros-indigo-swri-profiler (0.0.3-0trusty) trusty; urgency=high

  * Add Travis CI support
  * Contributors: P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 23 Nov 2016 06:00:00 -0000

ros-indigo-swri-profiler (0.0.2-0trusty) trusty; urgency=high

  * Add missing runtime dependency on rosbridge_server
  * profiler_server no longer requires python 3
  * Update to profiler to handle unexpected case.
  * Working on database backend.
  * Modify profiler data message to include current ros time.
  * Add script to record profiler data to a bag file.
  * Fix timestamp on profiler index messages.
  * Adding an arg for the HTTP server port; doing a little cleanup.
  * Add preprocessor option to disable profiler.
  * Major update to both profiler backend and JS viewer.
  * Add basic_profiler_example_node.
  * Change profiler backend to use a thread instead of timers.
  * Initial commit
  * Contributors: Edward Venator, Elliot Johnson, P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 23 Nov 2016 06:00:00 -0000
