=== debian/control ===
Source: ros-indigo-swri-profiler
Section: misc
Priority: extra
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-diagnostic-updater, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs, ros-indigo-swri-profiler-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-swri-profiler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diagnostic-updater, ros-indigo-rosbridge-server, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs, ros-indigo-swri-profiler-msgs
Description: swri_profiler provides basic tools for real-time selective profiling of ROS C++ nodes.
